Method: accounts.locations.localPosts.list
컬렉션을 사용해 정리하기
내 환경설정을 기준으로 콘텐츠를 저장하고 분류하세요.
위치와 연결된 지역 게시물 목록을 반환합니다.
HTTP 요청
GET https://mybusiness.googleapis.com/v4/{parent=accounts/*/locations/*}/localPosts
URL은 gRPC 트랜스코딩 구문을 사용합니다.
경로 매개변수
| 매개변수 |
parent |
string
지역 게시물이 나열될 위치의 이름입니다.
|
쿼리 매개변수
| 매개변수 |
pageSize |
integer
페이지당 반환할 지역 게시물 수입니다. 기본값은 20입니다. 최소는 1이고 최대 페이지 크기는 100입니다.
|
pageToken |
string
지정하면 로컬 게시물의 다음 페이지가 반환됩니다.
|
응답 본문
localPosts.list의 응답 메시지
성공한 경우 응답 본문은 다음과 같은 구조의 데이터를 포함합니다.
| JSON 표현 |
{
"localPosts": [
{
object (LocalPost)
}
],
"nextPageToken": string
} |
| 필드 |
localPosts[] |
object (LocalPost)
반환된 지역 게시물 목록입니다.
|
nextPageToken |
string
요청된 페이지 크기보다 더 많은 로컬 게시물이 있는 경우 localPosts.list에 대한 후속 호출에서 다음 로컬 게시물 페이지를 가져오는 토큰으로 이 필드가 채워집니다.
|
승인 범위
다음 OAuth 범위 중 하나가 필요합니다.
https://www.googleapis.com/auth/plus.business.manage
https://www.googleapis.com/auth/business.manage
자세한 내용은 OAuth 2.0 Overview를 참조하세요.
달리 명시되지 않는 한 이 페이지의 콘텐츠에는 Creative Commons Attribution 4.0 라이선스에 따라 라이선스가 부여되며, 코드 샘플에는 Apache 2.0 라이선스에 따라 라이선스가 부여됩니다. 자세한 내용은 Google Developers 사이트 정책을 참조하세요. 자바는 Oracle 및/또는 Oracle 계열사의 등록 상표입니다.
최종 업데이트: 2026-04-15(UTC)
[[["이해하기 쉬움","easyToUnderstand","thumb-up"],["문제가 해결됨","solvedMyProblem","thumb-up"],["기타","otherUp","thumb-up"]],[["필요한 정보가 없음","missingTheInformationINeed","thumb-down"],["너무 복잡함/단계 수가 너무 많음","tooComplicatedTooManySteps","thumb-down"],["오래됨","outOfDate","thumb-down"],["번역 문제","translationIssue","thumb-down"],["샘플/코드 문제","samplesCodeIssue","thumb-down"],["기타","otherDown","thumb-down"]],["최종 업데이트: 2026-04-15(UTC)"],[],["This describes how to retrieve local posts associated with a specific location. A `GET` request is sent to the specified URL, including the location in the `parent` path parameter. Optional `pageSize` and `pageToken` query parameters allow for pagination. The request body must be empty. The successful response includes an array of `localPosts` objects, and a `nextPageToken` string for retrieving further results if more are available. Access requires specific authorization scopes.\n"]]